using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace PCUT.Entities
{
    public class UserProfile
    {
        [JsonProperty("_id")]
        public string Id { get; set; }

        [JsonProperty("role")]
        public string Role { get; set; }

        [JsonProperty("permissions")]
        public string[] Permissions { get; set; }

        [JsonProperty("accountName")]
        public string AccountName { get; set; }

        [JsonProperty("username")]
        public string UserName { get; set; }


        [JsonProperty("phone")]
        public string Phone { get; set; }

        [JsonProperty("isActive")]
        public bool IsActive { get; set; }

        [JsonProperty("isPermittedEdit")]
        public bool? IsPermittedEdit { get; set; }

        [JsonProperty("expiredAt")]
        public DateTimeOffset? ExpiredAt { get; set; }

        [JsonProperty("description")]
        public string Description { get; set; }

        [JsonProperty("updatedAt")]
        public DateTime UpdatedAt { get; set; }

        [JsonProperty("createdAt")]
        public DateTime CreatedAt { get; set; }

        [JsonProperty("__v")]
        public int V { get; set; }

        [JsonProperty("deviceId")]
        public string DeviceId { get; set; }

        [JsonProperty("age")]
        public int Age { get; set; }

        [JsonProperty("requestedAt")]
        public DateTime RequestedAt { get; set; }
    }
}
